"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRippleProps = exports.getTouchableComponent = void 0;
const react_native_1 = require("react-native");
const color_1 = require("./color");
function getTouchableComponent(useNativeFeedback = true) {
    if (useNativeFeedback === true && react_native_1.Platform.OS === "android") {
        return react_native_1.TouchableNativeFeedback;
    }
    return react_native_1.TouchableOpacity;
}
exports.getTouchableComponent = getTouchableComponent;
function getRippleProps(color, useNativeFeedback = true) {
    // less than API 21 don't support Ripple
    if (useNativeFeedback === true &&
        react_native_1.Platform.OS === "android" &&
        react_native_1.Platform.Version >= 21) {
        return {
            background: react_native_1.TouchableNativeFeedback.Ripple((0, color_1.shadeColor)(color, -30), true)
        };
    }
    return {};
}
exports.getRippleProps = getRippleProps;
//# sourceMappingURL=touchable.js.map