"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const async_storage_1 = __importDefault(require("@react-native-community/async-storage"));
const saveItem = (key, data, callback = (response) => { }) => {
    async_storage_1.default.setItem(key, data)
        .then((savedData) => {
        callback({ status: 200, value: savedData });
    })
        .catch((error) => {
        callback({ status: 400, value: null });
    });
};
const retrieveData = (key, callback = (response) => { }) => {
    async_storage_1.default.getItem(key).then((value) => {
        callback(value);
    });
};
exports.default = {
    saveItem,
    retrieveData,
};
//# sourceMappingURL=Storage.js.map